Package com.smartgwt.client.util

# Class LogicalTime_CustomFieldSerializer

java.lang.Object
com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalTime>
com.smartgwt.client.util.LogicalTime_CustomFieldSerializer

public class LogicalTime_CustomFieldSerializer extends CustomFieldSerializer<LogicalTime>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogicalTime_CustomFieldSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `deserialize(SerializationStreamReader streamReader, LogicalTime instance)`
  `void`
  `deserializeInstance(SerializationStreamReader streamReader, LogicalTime instance)`
  `final boolean`
  `hasCustomInstantiateInstance()`
  `static LogicalTime`
  `instantiate(SerializationStreamReader streamReader)`
  `LogicalTime`
  `instantiateInstance(SerializationStreamReader streamReader)`
  `static void`
  `serialize(SerializationStreamWriter streamWriter, LogicalTime instance)`
  `void`
  `serializeInstance(SerializationStreamWriter streamWriter, LogicalTime instance)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogicalTime_CustomFieldSerializer

    public LogicalTime_CustomFieldSerializer()

- ## Method Details

  - ### deserialize

    public static void deserialize(SerializationStreamReader streamReader, LogicalTime instance)

  - ### instantiate

    public static LogicalTime instantiate(SerializationStreamReader streamReader) throws SerializationException
    Throws:
      `SerializationException`

  - ### serialize

    public static void serialize(SerializationStreamWriter streamWriter, LogicalTime instance) throws SerializationException
    Throws:
      `SerializationException`

  - ### deserializeInstance

    public void deserializeInstance(SerializationStreamReader streamReader, LogicalTime instance) throws SerializationException
    Specified by:
      `deserializeInstance` in class `CustomFieldSerializer<LogicalTime>`
    Throws:
      `SerializationException`

  - ### hasCustomInstantiateInstance

    public final boolean hasCustomInstantiateInstance()
    Overrides:
      `hasCustomInstantiateInstance` in class `CustomFieldSerializer<LogicalTime>`

  - ### instantiateInstance

    public LogicalTime instantiateInstance(SerializationStreamReader streamReader) throws SerializationException
    Overrides:
      `instantiateInstance` in class `CustomFieldSerializer<LogicalTime>`
    Throws:
      `SerializationException`

  - ### serializeInstance

    public void serializeInstance(SerializationStreamWriter streamWriter, LogicalTime instance) throws SerializationException
    Specified by:
      `serializeInstance` in class `CustomFieldSerializer<LogicalTime>`
    Throws:
      `SerializationException`